# ESB_GLOBAL_T

This structure contains global server system parameters used for administrative purposes. All of the fields in this structure can be modified using the VB API. The fields are:

    Type ESB_GLOBAL_T

       Security        As Integer
       Logins          As Integer
       Access          As Integer
       Validity        As Integer
       Currency        As Integer
       PwMin           As Integer
       InactivityTime  As Long
       InactivityCheck As Long
    End Type

VB Data Type | Field | Description
As String * 1 | Security | Flag to indicate whether global security is enabled (default is ESB_TRUE, security enabled)
As String * 1 | Logins | Flag to indicate whether user logins are enabled (default is ESB_TRUE, indicating logins are enabled)
As Integer | Access | The default access level for newly-created applications (default is ESB_ACCESS_NONE). For a list of possible values, see Bitmask Data Types.
As Integer | Validity | The default password validity period (default is 365 days)
As String * 1 | Currency | Flag to indicate whether currency option is supported (this flag is read only). Set to ESB_TRUE if the currency option is enabled.
As Integer | PwMin | The minimum permitted password length (default is 6 characters)
As Long | InactivityTime | Maximum length of time, in seconds, the user can be inactive before automatic logout from all applications and the Agent. Default value: 3600 seconds. Minimum value: 300 seconds. To disable auto logout, set InactivityTime to 0.
As Long | Inactivity Check | Frequency of checks for auto logout, in seconds. Default value: 300 seconds. Minimum value: 30 seconds. Must be smaller than InactivityTime setting or InactivityCheck is set to the value of InactivityTime and a warning message occurs. To disable auto logout, set InactivityCheck to 0.